| USRP Hardware Driver and USRP Manual Version: 4.9.0.makepkg-0-g9ec1f582 UHD and USRP Manual |

Loading...
Searching...
No Matches
uhd::usrp::component_file_t Struct Reference

`#include <uhd/types/component_file.hpp>`

## Public Attributes
uhd::dict< std::string, std::string > | metadata
std::vector< uint8_t > | data

## Detailed Description

Defines a file that can be sent using update_component

Parameters

  metadata | dictionary of strings that define the metadata associated with the file.

Keys must include "id" and "filename", and may include an "md5" hash, as well as other, device- or component-specific keys.

Parameters

  data | the binary data file

Can be the contents of the FPGA image file, for example.

## Member Data Documentation

## ◆ data

std::vector<uint8_t> uhd::usrp::component_file_t::data

## ◆ metadata

uhd::dict<std::string, std::string> uhd::usrp::component_file_t::metadata

The documentation for this struct was generated from the following file:

- component_file.hpp